summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarkus Ullmann <jokey@gentoo.org>2007-02-28 19:48:59 +0000
committerMarkus Ullmann <jokey@gentoo.org>2007-02-28 19:48:59 +0000
commitaa6921d62c4d644349501c7f3dd14ea4838ffdb0 (patch)
treeee07e51a34f9d3c43b3bc9650d1e83291f44e034 /app-emulation/virtualbox-bin/files
parentStable on ppc64; bug #168488 (diff)
downloadgentoo-2-aa6921d62c4d644349501c7f3dd14ea4838ffdb0.tar.gz
gentoo-2-aa6921d62c4d644349501c7f3dd14ea4838ffdb0.tar.bz2
gentoo-2-aa6921d62c4d644349501c7f3dd14ea4838ffdb0.zip
Version bump, thanks to x-drum for the hard work
(Portage version: 2.1.2-r12)
Diffstat (limited to 'app-emulation/virtualbox-bin/files')
-rw-r--r--app-emulation/virtualbox-bin/files/digest-virtualbox-bin-1.3.66
-rw-r--r--app-emulation/virtualbox-bin/files/virtualbox-bin-1.3.6-wrapper57
2 files changed, 63 insertions, 0 deletions
diff --git a/app-emulation/virtualbox-bin/files/digest-virtualbox-bin-1.3.6 b/app-emulation/virtualbox-bin/files/digest-virtualbox-bin-1.3.6
new file mode 100644
index 000000000000..43d885a89bd1
--- /dev/null
+++ b/app-emulation/virtualbox-bin/files/digest-virtualbox-bin-1.3.6
@@ -0,0 +1,6 @@
+MD5 b774be7f9b40a5ba0a9b33506a439b0f VirtualBox_1.3.6_Linux_x86.run 240088
+RMD160 b6d247733e6b352ef8562a6218aa11de52e40204 VirtualBox_1.3.6_Linux_x86.run 240088
+SHA256 f614a317f399ec12e8cf92cd0a3f75be3e80252986cad672c9c6a31272ff42e2 VirtualBox_1.3.6_Linux_x86.run 240088
+MD5 1396c7f206f7c6a69f183a0b32c07671 vditool 20884
+RMD160 3315e99113be34913790cb2d04956e29494d8551 vditool 20884
+SHA256 7612930d3a21e7b5b25ed0f6464dca3691e5d958f17df864e9f57f85c9ad966d vditool 20884
diff --git a/app-emulation/virtualbox-bin/files/virtualbox-bin-1.3.6-wrapper b/app-emulation/virtualbox-bin/files/virtualbox-bin-1.3.6-wrapper
new file mode 100644
index 000000000000..1d8c3b22cfc3
--- /dev/null
+++ b/app-emulation/virtualbox-bin/files/virtualbox-bin-1.3.6-wrapper
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+INSTALL_DIR=/opt/VirtualBox
+USER=$( whoami )
+
+SERVER_PID=$( ps -U $USER | grep VBoxSVC | awk '{ print $1 }' )
+
+if [ "$1" = shutdown ]; then
+ if [ "$SERVER_PID" != "" ]; then
+ kill -TERM $SERVER_PID
+ sleep 2
+ fi
+ exit 0
+fi
+
+[ "$VBOX_USER_HOME" = "" ] && VBOX_USER_HOME="$HOME/.VirtualBox"
+
+mkdir -p "$VBOX_USER_HOME"
+LOG="$VBOX_USER_HOME/VBoxSVC.log"
+
+if [[ -e /proc/modules && ! -e /dev/vboxdrv ]] ; then
+ echo "Error: vboxdrv kernel module is not loaded..."
+ echo "Please load the module before starting VirtualBox."
+ exit 1
+elif [ ! -w /dev/vboxdrv ]; then
+ if [ "`id | grep vboxusers`" = "" ]; then
+ echo "Error: You are not a member of the \"vboxusers\" group..."
+ echo "Please add yourself to this group before starting VirtualBox."
+ else
+ echo "Error: /dev/vboxdrv is not writable for some reason..."
+ echo "If you recently added the current user to the vboxusers group,"
+ echo "then you have to logout and re-login to take the change effect."
+ fi
+ exit 1
+fi
+
+export LD_LIBRARY_PATH="$INSTALL_DIR"
+
+if [ "$SERVER_PID" = "" ]; then
+ rm -rf /tmp/.vbox-$USER-ipc
+ [ -f "$LOG.1" ] && mv "$LOG.1" "$LOG.2"
+ [ -f "$LOG.0" ] && mv "$LOG.0" "$LOG.1"
+ [ -f "$LOG" ] && mv "$LOG" "$LOG.0"
+ /opt/VirtualBox/VBoxSVC --daemonize >"$LOG" 2>&1
+fi
+
+APP=$( which $0 )
+APP=${APP##/*/}
+case "$APP" in
+ VirtualBox|VBoxManage|VBoxSDL|VBoxVRDP)
+ exec "$INSTALL_DIR/$APP" "$@"
+ ;;
+ *)
+ echo "Error: Unknown application - $APP"
+ exit 1
+ ;;
+esac